function FLAG = iscompatible(M,N)

if ~isa(M,'metaobj') || ~isa(N,'metaobj')
   FLAG = false;
   return
end

FLAG = size(M.Assign,2) == size(N.Assign,2) ...
   && all(strcmp(M.name,N.name)) ...
   && all(M.nametype == N.nametype);

end